Home page logo
/

wireshark logo Wireshark mailing list archives

make rpm-package fails if uic isn't installed.
From: Christopher Maynard <Christopher.Maynard () gtech com>
Date: Tue, 25 Jun 2013 21:47:52 +0000 (UTC)

I'm trying to build a customized RHEL6 wireshark rpm based on 1.10.0, but it
fails because uic isn't installed.  I have tried to set --with-qt=no, but
this has no effect.

The error follows:

make[1]: Entering directory `/path/to/wireshark/1.10.0/ui/qt'
uic capture_preferences_frame.ui -o ui_capture_preferences_frame.h
make[1]: uic: Command not found
make[1]: *** [ui_capture_preferences_frame.h] Error 127
make[1]: Leaving directory `/path/to/wireshark/1.10.0/ui/qt'
make: *** [distdir] Error 1
[user () host 1.10.0]$ 

So, I was able to compile Wireshark without uic, but I am unable to create
the rpm without it?  Is that to be expected?  I can install the qt-devel
package, but it has a lot of dependencies that I was hoping I wouldn't have
to install just for this, especially since I'm not building for Qt.

Thanks.
- Chris


___________________________________________________________________________
Sent via:    Wireshark-dev mailing list <wireshark-dev () wireshark org>
Archives:    http://www.wireshark.org/lists/wireshark-dev
Unsubscribe: https://wireshark.org/mailman/options/wireshark-dev
             mailto:wireshark-dev-request () wireshark org?subject=unsubscribe


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]